/* Sidebar */
.user-container {
    max-width: 78.125vw;
    margin: 2.083vw auto;
    display: flex;
    gap: 2.083vw;
    padding: 0 20px;
}


.user-sidebar {

    background: #ffffff;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
}

.sidebar-title {
    font-size: 1.042vw;
    font-weight: 600;
    margin-bottom: 1.563vw;
    color: #333;
    border-bottom: 1px solid #050505;
    padding-bottom: 10px;
}

.user-menu-item {
    display: block;
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 15px;
    padding: 12px;
    margin-bottom: 15px;
    border-radius: 8px;
    transition: background 0.3s;
    cursor: pointer;


}

.user-menu-item:hover {
    background: #f7f7f7;
}



.menu-item-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    font-size: 16px;
    color: #333;
    transition: color 0.3s;
}

.menu-icon {

    transition: transform 0.3s ease;
}

.user-menu-item:hover .menu-icon {
    transform: scale(1.1);
}

/* Formulário nome */
.infuser {
    flex: 1;
    background: #ffffff;
    padding: 1.094vw;
    border-radius: 12px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
}

.infuser-title {
    font-size: 1.094vw;
    font-weight: 600;
    margin-bottom: 1.563vw;
    color: #222;
}

.infuser-form {
    display: flex;
    flex-direction: column;
}

.infuser-label {
    font-size: 14px;
    margin-bottom: 6px;
    color: #444;
    margin-top: 1.042vw;
}

.infuser-input {
    padding: 12px;
    border: 1px solid #140101;
    border-radius: 8px;
    background: #f9f9f9;
    font-size: 14px;
}

.infuser-input:read-only {
    background: #f0f0f0;
    color: #666;
}

.infuser-button {
    margin-top: 1.563vw;
    padding: 12px;
    background: #ffa500;
    color: white;
    font-weight: bold;
    border: none;
    border-radius: 8px;
    cursor: not-allowed;
    opacity: 0.7;
}

/* carrrrr */

.contcarmed {
    max-width: 100%;
    width: 100%;
    margin-top: 2.083vw;
}


.etapas {
    display: flex;
    gap: 1.042vw;
    font-size: 18px;
    margin-bottom: 1.563vw;
}

.etapas span {
    color: #aaa;
}

.etapas .ativa {
    font-weight: bold;
    color: #8c4a00;
    border-bottom: 3px solid #8c4a00;
}

.carrinho-container {

    margin: auto;
}

.tabela-produtos {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 1.042vw;
}

.tabela-produtos th,
.tabela-produtos td {
    border: 1px solid #eee;
    padding: 15px;
    font-size: 0.833vw;
    text-align: center;
    background-color: #ffffff;
    
}
.select-entrega{
    font-size: 0.677vw;

}

.tabela-produtos .produto {
   
    display: flex;
    align-items: center;
    gap: 15px;
    text-align: left;
}

.imagem-produto {
    border: 1px solid black;
    border-radius: 5px;
    width: 8.854vw;
    height: auto;
}

.quant-btn {
    padding: 5px 10px;
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    border-radius: 8px;
}

.quant-input {
    width: 1.563vw;
    text-align: center;
    border: 1px solid #ccc;
}

.acoes-carrinho {
    display: flex;
    justify-content: flex-end;
    gap: 15px;
    margin-bottom: 1.042vw;
}

.btn-esvaziar,
.btn-salvar {
    padding: 10px 15px;
    border: none;
    cursor: pointer;
}

.btn-esvaziar {
    background-color: #a52a2a;
    color: white;
}

.btn-salvar {
    background-color: #d38e46;
    color: white;
}

.total-carrinho {
    background-color: #f9f9f9;
    padding: 1.042vw;
    border: 1px solid #ddd;
    margin-bottom: 1.042vw;
}

.entrega-info {
    font-size: 14px;
    color: #555;
}

.botoes-final {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.btn-continuar {
    background-color: #8c672f;
    color: white;
    padding: 10px 1.042vw;
    border: none;
}

.btn-concluir {
    background-color: #4b8015;
    color: white;
    padding: 10px 1.042vw;
    border: none;
}












/* endettttt */




.content-form {
    background: white;
    padding: 1.042vw;
    border-radius: 10px;
    max-width: 100%;
    width: 100%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
}

.form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.form-group {
    display: flex;
    flex-direction: column;
}

.form-group label {
    font-weight: bold;
    margin-bottom: 5px;
}

.form-group input,
.form-group select {
    padding: 10px;
    border-radius: 6px;
    border: 1px solid #ccc;
    background: #f8f8f8;
}

.form-row {
    display: flex;
    gap: 1.042vw;
    flex-wrap: wrap;
}

.form-row .form-group {
    flex: 1;
}

.btn-save {
    padding: 12px;
    background-color: #ffc107;
    border: none;
    color: white;
    font-weight: bold;
    border-radius: 6px;
    cursor: pointer;
    transition: 0.3s;
}

.btn-save:hover {
    background-color: #e0a800;
}































/* meus pedidos */


  .ver-endereco-loja {
        margin-top: 10px;
        padding: 7px 14px;
        background-color: #0a9716;
        border: none;
        border-radius: 6px;
        color: white;
        cursor: pointer;
        transition: background 0.3s;
        margin-right: 30px;

    }

    .status-text {
        font-weight: bold;
        padding: 1px 8px;
        border-radius: 6px;
        text-transform: capitalize;
    }

    .status-pendente {
        background-color: #f9e79f;
        color: #7d6608;
        border-radius: 28px
    }

    .status-aceito {
        background-color: #d4efdf;
        color: #1e8449;
        border-radius: 28px
    }

    .status-recusado {
        background-color: #f5b7b1;
        color: #922b21;
        border-radius: 28px
    }

    .status-feito {
        background-color: #dcdcdc;
        color: #555;
        border-radius: 28px
    }

    .btn-recebido {
        margin-top: 10px;
        padding: 8px 14px;
        background-color: #007bff;
        border: none;
        border-radius: 6px;
        color: white;
        cursor: pointer;
        transition: background 0.3s;
    }

    .btn-recebido:hover {
        background-color: #0056b3;
    }

    .toast {
        position: fixed;
        bottom: 30px;
        right: 30px;
        background: #28a745;
        color: white;
        padding: 12px 18px;
        border-radius: 8px;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
        opacity: 0;
        transform: translateY(20px);
        transition: opacity 0.4s ease, transform 0.4s ease;
        z-index: 9999;
    }

    .toast.show {
        opacity: 1;
        transform: translateY(0);
    }


    .ativa:hover {
        transform: scale(1.1);
        cursor: pointer;
    }






























/* ver carrr */





  .metc {
      text-decoration: none;
      color: #8c4a00;
  }

  .alert-danger {
      text-align: center;
      padding: 10px;
      background: rgb(237, 212, 212);
      color: rgb(87, 25, 21);
      margin-bottom: 15px;
  }

  .alert-success {
      text-align: center;
      padding: 10px;
      background: #d4edda;
      color: #155724;
      margin-bottom: 15px;
  }

  .namepro {
      margin-bottom: 0.417vw;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      width: 13.458vw;

  }

  .endet {
      margin-bottom: 0.417vw;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      width: 13.458vw;
  }

  .ativa:hover {
      transform: scale(1.1);
      cursor: pointer;

  }

  .vat {
      text-align: center;
      font-size: 1.4rem;
      color: #555;
      padding: 40px 20px;
      background-color: #f9f9f9;
      border: 2px dashed #ccc;
      border-radius: 10px;
      margin-top: 20px;
  }

  .quant-btn:disabled {
      opacity: 0.5;
      cursor: not-allowed;
      background-color: #ccc;
      color: #666;
      transition: all 0.3s ease;
      border-radius: 8px;
  }
















.input {
    padding: 10px;
    border: 1px solid #ccc;
    outline: none;
    transition: border-color 0.2s;
}

.input.shake {
    animation: shake 0.3s;
    border-color: red;
}

@keyframes shake {
    0% {
        transform: translateX(0);
    }

    25% {
        transform: translateX(-4px);
    }

    50% {
        transform: translateX(4px);
    }

    75% {
        transform: translateX(-4px);
    }

    100% {
        transform: translateX(0);
    }
}






































/* contato*/

 .duvidas-container.call {
     display: flex;
     justify-content: center;
     padding: 40px 20px;
 }

 .duvidas-box.call {
     background-color: white;
     box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);
     padding: 30px;
     border-radius: 6px;
     display: flex;
     max-width: 700px;
     width: 100%;
     align-items: center;
     justify-content: space-between;
     gap: 20px;
 }

 .duvidas-texto.call {
     flex: 1;
 }

 .duvidas-titulo.call {
     font-size: 24px;
     color: #3c3c3c;
     margin-bottom: 15px;
 }

 .duvidas-desc.call {
     color: #4a4a4a;
     font-size: 15px;
     margin-bottom: 20px;
     max-width: 400px;
 }

 .duvidas-links.call {
     display: flex;
     gap: 20px;
     flex-wrap: wrap;
 }

 .link.call {
     color: #9c5c00;
     font-weight: bold;
     text-decoration: none;
     font-size: 14px;
 }

 .link.call:hover {
     text-decoration: underline;
 }

 .duvidas-icone.call .icone-img.call {
     width: 110px;
     height: auto;
 }



































/* produto des car2*/

  .dit-prod {
      display: flex;
  }

  .dit-produto-container {
      max-width: 1400px;
      margin: 30px auto;
      gap: 40px;
      padding: 20px;
  }

  .dit-imagem-produto img {
      width: auto;
      max-width: 800px;
      border: 1px solid #ccc;
      padding: 10px;
      margin: 25px 10px;
  }

  .dit-info-produto {
      margin: 5px 40px;
      width: -webkit-fill-available;

  }

  .dit-categoria {
      font-size: 14px;
      color: #a35b00;
      margin-bottom: 5px;
  }

  .dit-preco {
      font-size: 24px;
      font-weight: bold;
      margin: 10px 0;
  }

  .dit-quantidade {
      display: flex;
      align-items: center;
      gap: 5px;
      margin: 15px 0;
  }

  .dit-quantidade input {
      width: 40px;
      text-align: center;
  }

  .dit-btn-adicionar {
      background-color: #a35b00;
      color: white;
      border: none;
      padding: 5px 15px;
      border-radius: 4px;
      cursor: pointer;
      margin-left: 14.323vw;
  }





  .dit-tags {
      display: flex;
      flex-wrap: wrap;
      gap: 6px;
      margin-top: 10px;
  }

  .dit-tags span {
      padding: 4px 8px;
      background-color: #b5b200;
      color: white;
      border-radius: 4px;
      font-size: 12px;
  }

  .dit-tags span:nth-child(n+13) {
      background-color: #933400;
  }

  .dit-descricao {
      margin-top: 30px;
      margin-bottom: 100px;
  }

  .dit-descricao {
      font-size: 1.1vw;
      text-align: justify;

  }

  .dit-produtor h3 {
      margin-top: 3px;
      margin-bottom: 1px;

  }

  .dit-produtor h3 {
      font-size: 2vw;

      color: #1bb154;
  }

  .dit-produtor p {
      font-size: 1.2vw;
  }

  .dit-descricao h2,
  .dit-descricao h3 {
      color: #a35b00;
  }

  .dit-entrega {
      margin-top: 20px;
      background-color: #f8f8f8;
      border-radius: 8px;
      max-width: 100%;
      height: auto;
      border-style: dashed;
  }

  .dit-entrega h3 {

      font-size: 1.2em;
      color: #333;
      margin: 30px;
  }

  .dit-entrega ul {
      list-style: none;
      padding: 0;
  }

  .dit-entrega li {
      margin-bottom: 5px;
      font-size: 0.95em;
      margin: 30px;
      color: #333;

  }


.carousel-produtor-wrapper {
      position: relative;
      width: 100%;
      overflow: hidden;

  }

  .carousel-produtor-track {
      display: flex;
      flex-wrap: nowrap;
      overflow-x: auto;
      scroll-behavior: smooth;
      gap: 1rem;
      padding: 10px;
      scrollbar-width: none;
      /* Firefox */
  }

  /* Esconde a barra de rolagem  */
  .carousel-produtor-track::-webkit-scrollbar {
      display: none;
  }


  .carousel-produtor-wrapper {
      display: flex;
      align-items: center;
      position: relative;
      overflow: hidden;
  }

  .carousel-produtor-track {
      display: flex;
      overflow-x: auto;
      scroll-behavior: smooth;
      gap: 1rem;
  }

  .nav-btn-produtor {
      background-color: #fff;
      border: none;
      font-size: 2rem;
      cursor: pointer;
      z-index: 3;
      padding: 0 10px;
  }

  .nav-btn-produtor.left {
      position: absolute;
      left: 0;
  }

  .nav-btn-produtor.right {
      position: absolute;
      right: 0;
  }

